CHFN(1)

NUME
chfn - schimbă informațiile despre datele dumneavoastră personale

REZUMAT

chfn [-f numele-complet] [-o locul-de-muncă] [-p telefon-loc-de-muncă] [-h telefon-acasă] [-u] [-V] [nume-utilizator]

DESCRIERE

chfn este utilizat pentru a schimba informațiile privind datele dumneavoastră personale. Aceste informații sunt stocate în fișierul /etc/passwd și sunt afișate de programul finger. Comanda Linux finger va afișa patru informații care pot fi modificate de chfn: numele dvs. real, încăperea și telefonul de la locul de muncă și telefonul de acasă.

Oricare dintre cele patru informații poate fi specificată în linia de comandă. În cazul în care nu se furnizează nicio informație în linia de comandă, chfn intră în modul interactiv.

În modul interactiv, chfn va solicita informații pentru fiecare câmp. La o solicitare, puteți introduce noile informații sau puteți apăsa doar tasta return pentru a lăsa câmpul neschimbat. Introduceți cuvântul cheie "none" pentru a face câmpul gol.

chfn suportă intrările non-locale (kerberos, LDAP, etc.) dacă este asociat cu libuser, altfel folosește ypchfn(1), lchfn(1) sau orice altă implementare pentru intrările non-locale.

OPȚIUNI

-f, --full-name numele-complet
    Specifică numele dvs. adevărat.

-o, --office locul-de-muncă
    Specifică numărul încăperii de la locul dvs. de muncă.

-p, --office-phone telefon-loc-de-muncă
    Specifică numărul de telefon de la locul dvs. de muncă.

-h, --home-phone telefon-acasă
    Specifică numărul de telefon de acasă.

-u, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese; opțiunea scurtă -V a fost utilizată începând cu versiunea 2.39; versiunile vechi utilizează -v, care este demodată.

ELEMENTE ALE FIȘIERULUI DE CONFIGURARE

chfn citește fișierul de configurare /etc/login.defs (a se vedea login.defs(5)). Rețineți că fișierul de configurare ar putea fi distribuit împreună cu un alt pachet (de exemplu, shadow-utils). Următoarele elemente de configurare sunt relevante pentru chfn:

CHFN_RESTRICT șir
    Indică ce câmpuri pot fi modificate prin chfn.

    Valoarea booleană "yes " înseamnă că numai câmpurile Office, Office Phone și Home Phone pot fi modificate, iar valoarea booleană "no " înseamnă că și Full Name poate fi modificat.

    Un alt mod de a specifica câmpurile modificabile este prin abrevieri: f = Nume și prenume, r = Locul de muncă (cameră), w = Telefon loc de muncă (serviciu), h = Telefon acasă. De exemplu, CHFN_RESTRICT "wh " permite modificarea numerelor de telefon de la serviciu și de acasă.

    Dacă CHFN_RESTRICT este nedefinit, atunci toate informațiile despre datele dumneavoastră personale sunt numai pentru citire. Aceasta este valoarea implicită.

STARE DE IEȘIRE

Returnează 0 dacă operația a avut succes, 1 dacă operația a eșuat sau dacă sintaxa comenzii nu a fost validă.

AUTORI

CONSULTAȚI ȘI

chsh(1), finger(1), login.defs(5), passwd(5)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda chfn face parte din pachetul util-linux care poate fi descărcat de la